build:elastic:
  stage: build
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker build --build-arg ELASTIC_VERSION="$ELASTIC_VERSION" -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_BRANCH" elasticsearch/
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_BRANCH"
  only:
    refs:
      - production
      - staging
    changes:
      - gitlab-ci.yml
      - gitlab-ci/build.yml
      - elasticsearch/*
